@import "src/@fuse/scss/fuse";

:host {

    .example-container {
        display: flex;
        flex-direction: column;
    }
      
    .example-container > * {
        width: 100%;
    }

    .header {

        .search-input-wrapper {
            max-width: 680px;
        }

        @include media-breakpoint-down(xs) {
            height: 176px !important;
            min-height: 176px !important;
            max-height: 176px !important;
        }
    }

    .top-bg {
        position: absolute;
        z-index: 1;
        top: 0;
        right: 0;
        left: 0;
        height: 200px ;
        background-image: $top-bg-image;
        background-size: cover;
        
        @include media-breakpoint-down(xs) {
            height: 240px;
        }
    }

    .products-table {
        flex: 1 1 auto;
        border-bottom: 1px solid rgba(0, 0, 0, .12);
        overflow: auto;

        .mat-header-row {
            min-height: 64px;
        }

        .product {
            position: relative;
            cursor: pointer;
            height: 84px;
        }

        .mat-cell {
            min-width: 0;
            display: flex;
            align-items: center;
        }

        .mat-column-statusColor {
            flex: 0 1 5px;
            padding-left: 4px;
        }

        .mat-column-space {
            flex: 0 1 5px;
            padding-left: 10px;
        }

        .mat-column-avatar {
            flex: 0 1 84px;

            .product-image {
                width: 52px;
                height: 52px;
            }
            padding-left: 10px;
        }
    }
      
}

.offer {
    height: 400px;
    width: 200px;
}

.mat-card-title {
    flex-wrap: nowrap;
}
